Printago API
PATCH
/v1/sku-variants/prop-values
Update multiple property values
Request Body
- Bulk update request with property value updates
BulkUpdatePropertyValuesRequest
updatesrequired
object[]
idrequired
string
pattern: ^[a-z0-9]{24}$
materialValueoptionalnullable
object[]
plateQuantitiesValueoptionalnullable
Record<string, number>
Construct a type with a set of properties K of type T
textValueoptionalnullable
string
Example Request
application/json
{
"updates": [
{
"id": "string",
"textValue": "string",
"materialValue": [
{
"groupId": "string"
}
],
"plateQuantitiesValue": {}
}
]
}